RagTime5Zone Class Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Zone Class Reference

main zone in a RagTime v5-v6 document More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions
| RagTime5Zone (MWAWInputStreamPtr input, libmwaw::DebugFile &asc)
| constructor More...
virtual | ~RagTime5Zone ()
| destructor More...
std::string | getZoneName () const
| returns the zone name More...
std::string | getKindLastPart (bool main=true) const
| returns the main type More...
MWAWInputStreamPtr | getInput ()
| returns the current input More...
void | setInput (MWAWInputStreamPtr input)
| reset the current input More...
bool | isMainInput () const
| returns true if the input correspond to the basic file More...
libmwaw::DebugFile & | ascii ()
| returns the current ascii file More...
void | setAsciiFileName (std::string const &name)
| defines the ascii name More...
void | createAsciiFile ()
| creates the ascii file More...
void | addErrorInDebugFile (std::string const &zoneName)
| mark a zone as bad More...

## Public Attributes
int | m_level
| the zone level More...
std::string | m_parentName
| the parent name More...
long | m_defPosition
| the position of the definition in the main zones More...
std::string | m_kinds [2]
| the zone types: normal and packing More...
MWAWEntry | m_entry
| the zone entry More...
std::string | m_name
| the zone name ( mainly used for debugging) More...
bool | m_hiLoEndian
| true if the endian is hilo More...
int | m_ids [3]
| the zone id More...
int | m_idsFlag [3]
| the zone flag More...
std::vector< MWAWEntry > | m_entriesList
| the list of original entries More...
std::map< int, shared_ptr< RagTime5Zone > > | m_childIdToZoneMap
| the child zones More...
int | m_variableD [2]
| the content of the zone D if it exists More...
bool | m_isParsed
| a flag to know if the zone is parsed More...
std::string | m_extra
| extra data More...

## Protected Attributes
MWAWInputStreamPtr | m_input
| the main input More...
bool | m_defaultInput
| a flag used to know if the input is or not the default input More...
std::string | m_asciiName
| the ascii file name ( used if we need to create a ascii file) More...
libmwaw::DebugFile * | m_asciiFile
| the ascii file corresponding to an input More...
libmwaw::DebugFile * | m_mainAsciiFile
| the main ascii file (used to print error) More...
shared_ptr< libmwaw::DebugFile > | m_localAsciiFile
| the local ascii file ( if we need to create a new input) More...

## Private Member Functions
| RagTime5Zone (RagTime5Zone const &orig)
RagTime5Zone & | operator= (RagTime5Zone const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, RagTime5Zone const &z)
| operator<< More...

## Detailed Description

main zone in a RagTime v5-v6 document

## Constructor & Destructor Documentation

## ◆ RagTime5Zone() [1/2]

RagTime5Zone::RagTime5Zone | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | asc
| ) |  |
| inline

constructor

## ◆ ~RagTime5Zone()

RagTime5Zone::~RagTime5Zone | ( |  | ) |
| virtual

destructor

Referenced by RagTime5Zone().

## ◆ RagTime5Zone() [2/2]

RagTime5Zone::RagTime5Zone | ( | RagTime5Zone const & | orig | ) |
| private

## Member Function Documentation

## ◆ addErrorInDebugFile()

void RagTime5Zone::addErrorInDebugFile | ( | std::string const & | zoneName | ) |

mark a zone as bad

Referenced by RagTime5Parser::readScriptComment(), and setAsciiFileName().

## ◆ ascii()

libmwaw::DebugFile& RagTime5Zone::ascii | ( |  | ) |
| inline

returns the current ascii file

Referenced by RagTime5Parser::createZones(), RagTime5SpreadsheetInternal::CellPLCParser::parseData(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Chart::readChartCluster(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readDocInfoClusterData(), RagTime5Parser::readDocumentVersion(), RagTime5Text::readFieldDefinition(), RagTime5ClusterManager::readFieldHeader(), RagTime5Text::readFieldPosition(), RagTime5Graph::readGraphicShape(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Parser::readString(), RagTime5Parser::readStructData(), RagTime5Text::readTextCluster(), RagTime5Text::readTextSeparators(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Parser::readZoneData(), and RagTime5Parser::unpackZone().

## ◆ createAsciiFile()

void RagTime5Zone::createAsciiFile | ( |  | ) |

creates the ascii file

Referenced by ascii(), and setAsciiFileName().

## ◆ getInput()

MWAWInputStreamPtr RagTime5Zone::getInput | ( |  | ) |
| inline

returns the current input

Referenced by RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), RagTime5ParserInternal::DocInfoFieldParser::parseField(), RagTime5StyleManagerInternal::GraphicFieldParser::parseField(), RagTime5StyleManagerInternal::GraphicFieldParser::parseHeaderField(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readDocInfoClusterData(), RagTime5Parser::readDocumentVersion(), RagTime5Text::readFieldDefinition(), RagTime5ClusterManager::readFieldHeader(), RagTime5Text::readFieldPosition(), RagTime5Graph::readGraphicShape(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readStructData(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Parser::readUnicodeString(), and RagTime5Parser::unpackZone().

## ◆ getKindLastPart()

std::string RagTime5Zone::getKindLastPart | ( | bool | main = `true` | ) | const
| inline

returns the main type

Referenced by RagTime5Parser::createZones(), RagTime5Parser::readClusterRootData(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureRep(), RagTime5Parser::readScriptComment(), RagTime5Text::readTextSeparators(), and RagTime5Parser::readZoneData().

## ◆ getZoneName()

std::string RagTime5Zone::getZoneName | ( |  | ) | const

returns the zone name

Referenced by operator<<(), RagTime5Zone(), and RagTime5Parser::update().

## ◆ isMainInput()

bool RagTime5Zone::isMainInput | ( |  | ) | const
| inline

returns true if the input correspond to the basic file

Referenced by RagTime5Graph::readPictureData().

## ◆ operator=()

RagTime5Zone& RagTime5Zone::operator= | ( | RagTime5Zone const & | orig | ) |
| private

## ◆ setAsciiFileName()

void RagTime5Zone::setAsciiFileName | ( | std::string const & | name | ) |
| inline

defines the ascii name

Referenced by RagTime5Parser::update().

## ◆ setInput()

void RagTime5Zone::setInput | ( | MWAWInputStreamPtr | input | ) |
| inline

reset the current input

Referenced by RagTime5Parser::unpackZone(), and RagTime5Parser::update().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5Zone const & | z
| ) |  |
| friend

operator<<

Referenced by getKindLastPart(), and RagTime5StructManager::Field::~Field().

## Member Data Documentation

## ◆ m_asciiFile

libmwaw::DebugFile* RagTime5Zone::m_asciiFile
| protected

the ascii file corresponding to an input

Referenced by ascii().

## ◆ m_asciiName

std::string RagTime5Zone::m_asciiName
| protected

the ascii file name ( used if we need to create a ascii file)

Referenced by setAsciiFileName().

## ◆ m_childIdToZoneMap

std::map<int,shared_ptr<RagTime5Zone> > RagTime5Zone::m_childIdToZoneMap

the child zones

Referenced by RagTime5ClusterManager::readCluster(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureRep(), RagTime5Parser::readScriptComment(), RagTime5Parser::readZoneData(), and RagTime5Parser::readZoneInfo().

## ◆ m_defaultInput

bool RagTime5Zone::m_defaultInput
| protected

a flag used to know if the input is or not the default input

Referenced by ascii(), isMainInput(), and setInput().

## ◆ m_defPosition

long RagTime5Zone::m_defPosition

the position of the definition in the main zones

Referenced by RagTime5Parser::createZones(), RagTime5Parser::flushExtra(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), and RagTime5Parser::readZoneData().

## ◆ m_entriesList

std::vector<MWAWEntry> RagTime5Zone::m_entriesList

the list of original entries

Referenced by operator<<(), and RagTime5Parser::update().

## ◆ m_entry

MWAWEntry RagTime5Zone::m_entry

the zone entry

Referenced by RagTime5Parser::createZones(), RagTime5Parser::flushExtra(), RagTime5ClusterManager::getClusterBasicHeaderInfo(), operator<<(), RagTime5ParserInternal::DocInfoFieldParser::parseField(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Graph::readPictureRep(), RagTime5Parser::readScriptComment(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Parser::readString(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Parser::readZoneData(), RagTime5Parser::unpackZone(), and RagTime5Parser::update().

## ◆ m_extra

std::string RagTime5Zone::m_extra

extra data

Referenced by RagTime5Parser::createZones(), operator<<(), and RagTime5Parser::unpackZone().

## ◆ m_hiLoEndian

bool RagTime5Zone::m_hiLoEndian

true if the endian is hilo

Referenced by RagTime5Parser::createZones(), RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), operator<<(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Parser::readClusterLinkList(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readScriptComment(), and RagTime5StructManager::readTypeDefinitions().

## ◆ m_ids

int RagTime5Zone::m_ids[3]

the zone id

Referenced by RagTime5Parser::createZones(), operator<<(), RagTime5Zone(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterRootData(), RagTime5Graph::readGraphicCluster(), RagTime5Layout::readLayoutCluster(), RagTime5Graph::readPictureCluster(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureRep(), RagTime5Pipeline::readPipelineCluster(), RagTime5Parser::readScriptComment(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Text::readTextCluster(), and RagTime5Parser::readZoneData().

## ◆ m_idsFlag

int RagTime5Zone::m_idsFlag[3]

the zone flag

Referenced by RagTime5Parser::createZones(), operator<<(), and RagTime5Zone().

## ◆ m_input

MWAWInputStreamPtr RagTime5Zone::m_input
| protected

the main input

Referenced by getInput(), and setInput().

## ◆ m_isParsed

bool RagTime5Zone::m_isParsed

a flag to know if the zone is parsed

Referenced by RagTime5Parser::createZones(), RagTime5Parser::flushExtra(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Text::readTextSeparators(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Parser::readZoneData(), and RagTime5Parser::readZoneInfo().

## ◆ m_kinds

std::string RagTime5Zone::m_kinds[2]

the zone types: normal and packing

Referenced by RagTime5Parser::createZones(), getKindLastPart(), operator<<(), RagTime5Zone(), RagTime5Parser::readClusterRootData(), RagTime5Graph::readPictureData(), RagTime5Parser::readScriptComment(), RagTime5Text::readTextSeparators(), and RagTime5Parser::readZoneData().

## ◆ m_level

int RagTime5Zone::m_level

the zone level

Referenced by RagTime5Parser::createZones(), and RagTime5Parser::readZoneData().

## ◆ m_localAsciiFile

shared_ptr<libmwaw::DebugFile> RagTime5Zone::m_localAsciiFile
| protected

the local ascii file ( if we need to create a new input)

Referenced by ascii().

## ◆ m_mainAsciiFile

libmwaw::DebugFile* RagTime5Zone::m_mainAsciiFile
| protected

the main ascii file (used to print error)

## ◆ m_name

std::string RagTime5Zone::m_name

the zone name ( mainly used for debugging)

Referenced by RagTime5StructManager::FieldParser::getZoneName(), RagTime5StructManager::DataParser::getZoneName(), RagTime5Graph::readPictureList(), and RagTime5Graph::readPictureMatch().

## ◆ m_parentName

std::string RagTime5Zone::m_parentName

the parent name

## ◆ m_variableD

int RagTime5Zone::m_variableD[2]

the content of the zone D if it exists

Referenced by RagTime5Parser::createZones(), operator<<(), RagTime5Zone(), and RagTime5Graph::readPictureList().

The documentation for this class was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx